Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230326 - xend fails to start with selinux enabled
Summary: xend fails to start with selinux enabled
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-28 12:11 UTC by Mark McLoughlin
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-22 14:16:02 UTC


Attachments (Terms of Use)

Description Mark McLoughlin 2007-02-28 12:11:25 UTC
With xen-3.0.4, I'm getting the following traceback when starting xend:

...
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendNode.py", line 220, in
instance
    inst = XendNode()
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendNode.py", line 35, in
__init__
    self.sr = XendStorageRepository()
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendStorageRepository.py",
line 84, in __init__
    self._refresh()
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendStorageRepository.py",
line 149, in _refresh
    self.storage_free = self._get_free_space()
  File "/usr/lib64/python2.5/site-packages/xen/xend/XendStorageRepository.py",
line 161, in _get_free_space
    stfs = os.statvfs(self.storage_dir)


It's doing this statvfs() in order to figure out how much free space is on the
filesystem where /var/lib/xend/storage/ resides.

Need to update the xen policy to allow the statvfs(), I've tested with:

  fs_getattr_all_fs(xend_t)

and it seems to start up just fine

Comment 1 Daniel Walsh 2007-03-20 16:18:52 UTC
Fixed in selinux-policy-2.5.9-1.fc7

Comment 2 Daniel Walsh 2007-08-22 14:16:02 UTC
Should be fixed in the current release



Note You need to log in before you can comment on or make changes to this bug.